# Class ResponseProcessor.ResponseProcessingResult

java.lang.Object
com.google.adk.flows.llmflows.ResponseProcessor.ResponseProcessingResult

Enclosing interface:
  `ResponseProcessor`

public abstract static class ResponseProcessor.ResponseProcessingResult extends Object
Result of response processing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseProcessingResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResponseProcessor.ResponseProcessingResult`
  `create(LlmResponse updatedResponse, Iterable<Event> events)`
  `static ResponseProcessor.ResponseProcessingResult`
  `create(LlmResponse updatedResponse, Iterable<Event> events, String transferToAgent)`
  `abstract Iterable<Event>`
  `events()`
  Events generated during processing.
  `abstract Optional<String>`
  `transferToAgent()`
  The agent to transfer to.
  `abstract LlmResponse`
  `updatedResponse()`
  Updated LLM response.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseProcessingResult

    public ResponseProcessingResult()

- ## Method Details

  - ### updatedResponse

    public abstract LlmResponse updatedResponse()
    Updated LLM response.

    This is the LLM response that will be returned to the client.

  - ### events

    public abstract Iterable<Event> events()
    Events generated during processing.

    These events are not necessarily part of the LLM response.

  - ### transferToAgent

    public abstract Optional<String> transferToAgent()
    The agent to transfer to.

    If present, the invocation will be transferred to the specified agent.

  - ### create

    public static ResponseProcessor.ResponseProcessingResult create(LlmResponse updatedResponse, Iterable<Event> events, String transferToAgent)

  - ### create

    public static ResponseProcessor.ResponseProcessingResult create(LlmResponse updatedResponse, Iterable<Event> events)